package com.ruoyi.system.mapper.colums;

import com.ruoyi.system.domain.columns.YjSense;

import java.util.List;

/**
 * 瑜伽常识Mapper接口
 * 
 * @author ruoyi
 * @date 2025-10-29
 */
public interface YjSenseMapper 
{
    /**
     * 查询瑜伽常识
     * 
     * @param id 瑜伽常识主键
     * @return 瑜伽常识
     */
    public YjSense selectYjSenseById(String id);

    /**
     * 查询瑜伽常识列表
     * 
     * @param yjSense 瑜伽常识
     * @return 瑜伽常识集合
     */
    public List<YjSense> selectYjSenseList(YjSense yjSense);

    /**
     * 新增瑜伽常识
     * 
     * @param yjSense 瑜伽常识
     * @return 结果
     */
    public int insertYjSense(YjSense yjSense);

    /**
     * 修改瑜伽常识
     * 
     * @param yjSense 瑜伽常识
     * @return 结果
     */
    public int updateYjSense(YjSense yjSense);

    /**
     * 删除瑜伽常识
     * 
     * @param id 瑜伽常识主键
     * @return 结果
     */
    public int deleteYjSenseById(String id);

    /**
     * 批量删除瑜伽常识
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteYjSenseByIds(String[] ids);
}
